name: audiocall2
# See https://www.digitalocean.com/docs/app-platform/#regional-availability for the available options
# You can get region slugs from https://www.digitalocean.com/docs/platform/availability-matrix/
# `fra` stands for Frankfurt (Germany - EU)
region: ams3
services:
  - name: audiocall2
    # Relative to the repository root
    dockerfile_path: Dockerfile
    source_dir: .
    github:
      branch: main
      deploy_on_push: true
      repo: Nelis-sol/audiocall
    envs:
      - key: ACCOUNT_SID
        scope: RUN_TIME
        value: ACe6532390564f63ec2a7e747c9dc3eee0
      - key: AUTH_TOKEN
        scope: RUN_TIME
        value: 8a2595ce511c28d774774e61f92beefc
      - key: NGROK_DOMAIN
        scope: RUN_TIME
        value: wss://osco.digital/record
      - key: DEEPGRAM_TOKEN
        scope: RUN_TIME
        value: 3baadc3fc4cd6f7470c922bfc29dafd32bb69e7d
      - key: OPENAI_TOKEN
        scope: RUN_TIME
        value: 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
    # The port the application will be listening on for incoming requests
    # It should match what we specify in our configuration.yaml file!
    http_port: 8080
    # For production workloads we'd go for at least two!
    instance_count: 1
    # Let's keep the bill lean for now...
    instance_size_slug: basic-xxs
    # All incoming requests should be routed to our app
    routes:
      - path: /
    